<!-- This is the card definition file for cards of type: n310_dba_dbb -->
<card type='n310_data_plane'>
  <device name='cic_int0_csts' worker='cic_int_csts'/>
  <device name='cic_int1_csts' worker='cic_int_csts'/>

  <device name='qDAC0_csts' worker='n310_qdac_csts'>
    <property name='DAC_WIDTH_BITS' value='16'/>
    <property name="DAC_OUTPUT_IS_LSB_OF_IN_PORT" value='false'/>
  </device>
  <device name='qDAC1_csts' worker='n310_qdac_csts'>
    <property name='DAC_WIDTH_BITS' value='16'/>
    <property name="DAC_OUTPUT_IS_LSB_OF_IN_PORT" value='false'/>
  </device>

  <device name='qDAC_SUB' worker='data_sink_qdac_ad9371_sub'>
    <supported device='qDAC0_csts'/>
    <supported device='qDAC1_csts'/>
  </device>


  <device name='cic_dec0_csts' worker='cic_dec_csts'/>
  <device name='cic_dec1_csts' worker='cic_dec_csts'/>
  
  <device name='qADC0_csts' worker='n310_qadc_csts'>
    <property name='ADC_WIDTH_BITS' value='16'/>
    <property name='ADC_INPUT_IS_LSB_OF_OUT_PORT' value='false'/>
  </device>
  <device name='qADC1_csts' worker='n310_qadc_csts'>
    <property name='ADC_WIDTH_BITS' value='16'/>
    <property name='ADC_INPUT_IS_LSB_OF_OUT_PORT' value='false'/>
  </device> 

  <device name='qADC_SUB' worker='data_src_qadc_ad9371_sub'>
    <supported device='qADC0_csts'/>
    <supported device='qADC1_csts'/>  
  </device>  
  

  <device name='JESD_RAW2AXI' worker='jesd_raw2axi_interface'>
    <supported device='JESD'/>
  </device>   

  <device name='JESD' worker='adrv9371_jesd_2tx_2rx'>
  	<signal name='tx_data_0_p' slot='tx_data_0_p'/>
  	<signal name='tx_data_0_n' slot='tx_data_0_n'/>
  	<signal name='tx_data_1_p' slot='tx_data_1_p'/>
    <signal name='tx_data_1_n' slot='tx_data_1_n'/>
    <signal name='tx_data_2_p' slot='tx_data_2_p'/>
    <signal name='tx_data_2_n' slot='tx_data_2_n'/>
    <signal name='tx_data_3_p' slot='tx_data_3_p'/>
    <signal name='tx_data_3_n' slot='tx_data_3_n'/>
    <signal name='tx_sync' slot='tx_sync'/>
    <signal name='rx_data_0_p' slot='rx_data_0_p'/>
    <signal name='rx_data_0_n' slot='rx_data_0_n'/>
    <signal name='rx_data_1_p' slot='rx_data_1_p'/>
    <signal name='rx_data_1_n' slot='rx_data_1_n'/>
    <signal name='rx_data_2_p' slot='rx_data_2_p'/>
    <signal name='rx_data_2_n' slot='rx_data_2_n'/>
    <signal name='rx_data_3_p' slot='rx_data_3_p'/>
    <signal name='rx_data_3_n' slot='rx_data_3_n'/>
    <signal name='rx_sync' slot='rx_sync'/>
    <signal name='mgtclk_p' slot='mgtclk_p'/>
    <signal name='mgtclk_n' slot='mgtclk_n'/>
    <signal name='devclk_p' slot='devclk_p'/>
    <signal name='devclk_n' slot='devclk_n'/>
    <signal name='sysref_p' slot='sysref_p'/>
    <signal name='sysref_n' slot='sysref_n'/> 
    <supported device='qDAC_SUB'/>
    <supported device='qADC_SUB'/>
  </device>


  <device name='CPLD_GPIO' worker='n310_gpio'>
    <signal name="ATR_TX0" slot='ATR_TX0'/>
    <signal name="ATR_TX1" slot='ATR_TX1'/>
    <signal name="ATR_RX0" slot='ATR_RX0'/>
    <signal name="ATR_RX1" slot='ATR_RX1'/>
    <supported device='qDAC_SUB'/>
    <supported device='qADC_SUB'/>
  </device>
</card>
